Page MenuHomePhabricator

Database error when editting banner with translations
Closed, ResolvedPublic

Description

A database query error has occurred. This may indicate a bug in the software.

[W@9YBwpAAEEAAJEWrsgAAABG] 2018-11-16 23:53:19: Fatal exception of type "Wikimedia\Rdbms\DBExpectedError"

when editting

https://meta.wikimedia.org/wiki/Special:CentralNoticeBanners/edit/CommunityWishlistVote

Event Timeline

Jseddon created this task.Nov 17 2018, 12:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2018, 12:05 AM

The specific error is related about database replication: "Replication wait failed: MySQL server has gone away". There are other errors on this banner that seem linked to rebuilding the Translate extension MessageGroupStats index. See these Logstash entries.

There's a possibility that this would be solved by the translation-related patches made for T203925 but not yet deployed. However, since we're in code freeze, with year-end FR banners going up soon, I'd suggest we hold off on deploying them unless really necessary. @Seddon have you seen this come up again? If it's happening often, we could still try deploying those.

Krinkle closed this task as Resolved.Apr 9 2019, 5:28 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

No instances of this error found in Logstash for 30 days.

The only exceptions found on meta.wikimedia.org for CentralNotice-related requests (some of which are on /edit/ as well, like this report), is for BannerExistenceException – which is tracked as T149240.

Krinkle removed Krinkle as the assignee of this task.Apr 9 2019, 5:28 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM